package com.yihu.jw.entity.iot.platform;

import com.yihu.jw.entity.UuidIdentityEntityWithOperator;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @author HZY
 * @vsrsion 1.0
 * Created at 2020/4/28
 */
@Entity
@Table(name = "iot_share_interface")
public class IotShareInterfaceDO extends UuidIdentityEntityWithOperator implements Serializable {


    @Column(name = "saas_id")
    private String saasId;

    @Column(name = "method_name")
    private String methodName;//方法名

    @Column(name = "interface_name")
    private String interfaceName;//接口名称

    @Column(name = "type_name")
    private String typeName;//业务类型名称

    @Column(name = "explanation")
    private String explanation;//说明

    @Column(name = "del")
    private String del;//是否删除 1：删除  0：不删除

    @Column(name = "doc_url")
    private String docUrl;//接口文档URL


    public String getSaasId() {
        return saasId;
    }

    public void setSaasId(String saasId) {
        this.saasId = saasId;
    }

    public String getMethodName() {
        return methodName;
    }

    public void setMethodName(String methodName) {
        this.methodName = methodName;
    }

    public String getInterfaceName() {
        return interfaceName;
    }

    public void setInterfaceName(String interfaceName) {
        this.interfaceName = interfaceName;
    }

    public String getTypeName() {
        return typeName;
    }

    public void setTypeName(String typeName) {
        this.typeName = typeName;
    }

    public String getExplanation() {
        return explanation;
    }

    public void setExplanation(String explanation) {
        this.explanation = explanation;
    }

    public String getDel() {
        return del;
    }

    public void setDel(String del) {
        this.del = del;
    }

    public String getDocUrl() {
        return docUrl;
    }

    public void setDocUrl(String docUrl) {
        this.docUrl = docUrl;
    }
}
